#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.0.0
visibility:           public
id:                   ghcide-1.9.0.0-5anMjFM4ZyOCgE2oZnbicj
key:                  ghcide-1.9.0.0-5anMjFM4ZyOCgE2oZnbicj
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  af8052beeef1426e6979f9650c211328
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.0.0-5anMjFM4ZyOCgE2oZnbicj
depends:
    Diff-0.4.1-8tFRyD0NPuLJJ5n6nm4egu
    Glob-0.10.2-GEvqM1udgub1FUyw8Y6HAh
    aeson-2.1.2.1-AoiZ9fpfbxJ47564nNIIBq
    aeson-pretty-0.8.9-E5smfri2cJLK157ePQvQ61 array-0.5.4.0
    async-2.2.4-D3ZPPFCCAVg8NsfdnFK0IL base-4.15.1.0
    base16-bytestring-1.0.2.0-IBiQOMzzuJVLgMxcKr2Onm binary-0.8.8.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-22stPLnoxWFCGU5IfVuolg
    co-log-core-0.3.2.0-Da3cmLnJlVI6hoyKipQias containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-3ghDN8jIGlZ111MNPyVuDP
    data-default-0.7.1.1-8E5NGoO1gLxEpVTFDWBmYU deepseq-1.4.5.0
    dependent-map-0.4.0.0-9J3uhOzTuYzHjupTmsGh7t
    dependent-sum-0.7.2.0-9JewRyVPjWVAtcR8lMZRNL directory-1.3.6.2
    dlist-1.0-JalAZsGq1LOCqqdFHHEpoL
    enummapset-0.7.1.0-BzKgkyI0Uw9ILzZeiCDmcM exceptions-0.10.4
    extra-1.7.13-FJzM8Owo9xhE12DNAJGBro filepath-1.4.2.1
    fingertree-0.1.5.0-ASDmXtQTnKYIcgNpo9cEnP
    focus-1.0.3.1-FCRh2IqyI1AG1l5xjPj4aW ghc-9.0.2 ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.8-C6L9RCKnwBJ2S0tyDcGFCV
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.7-KqL0Q6Rsn8A7qIYdrbRLC8
    haddock-library-1.10.0-50eVTQAPFbVDKnsKCdoo0s
    hashable-1.4.2.0-ACOKJtOF9viKWyhESTEaY8
    hie-bios-0.11.0-Bjgoks32J4OG1FkkPCAoFt
    hie-compat-0.3.0.0-HtRpwVRm0jbBmBGDkwMYdm
    hiedb-0.4.2.0-6eJ0fVIW1E6JEpPBMgNbNu
    hls-graph-1.9.0.0-KCXZmVLHbDx7kkkeFSUvi5
    hls-plugin-api-1.6.0.0-86l50UAgfoN5lgHfQ9pROC
    hslogger-1.3.1.0-7oQPnxiMyUEL7kzLplckis
    implicit-hie-0.1.2.7-wwsnt42wRzBEmyLUIGVDe
    implicit-hie-cradle-0.3.0.5-11yQy5kcysELhHlZY3L6zl
    lens-5.2.2-50AHbSTIHTyJ7cRw3OjWqT
    list-t-1.0.5.4-9CVkx6RdArB9vK25GHHWB6
    lsp-1.6.0.0-AV6oy0ABF4B9hgueAkbpn
    lsp-types-1.6.0.0-AZCmARhTUPj15XME0WtdS5 mtl-2.2.2
    opentelemetry-0.8.0-K2VZXNcoIezLsUzfFuBWuR
    optparse-applicative-0.17.0.0-1t7fxkFVvXn4R1Ycov0fb
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-KCgewS2LM1BGU28EH98tlo
    prettyprinter-ansi-terminal-1.1.3-HUS2PIn5WXF1oG7qVT6mAJ
    random-1.2.1.1-7p3S1HZR5GbCV1ZhMXz9LL
    regex-tdfa-1.3.2.1-GaAC8CUsA44HsQFPI4TJW7
    safe-exceptions-0.1.7.3-C7RtqZxNrrJ7CXBYNMT2VB
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-IbZiS3qaLe68ahyEzxySu0 stm-2.5.0.0
    stm-containers-1.2.0.1-SnxI5a0APpETSD3zd6d39
    syb-0.7.2.3-E4tH3s3z87qJY1YhFhL5mk text-1.2.5.0
    text-rope-0.2-CQdoDULSSmgK9fUvrZrjfv time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.24.0-Ex6O2yXg38dLQlNrbzbegZ
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-KAeBL5aytSRB39idbhEXBI
    vector-0.13.0.0-AvCgqYhQ3vmCYiPnKivqd

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

